Xerces-J API: Class REUtil

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.utils.regex
Class REUtil

    java.lang.Object
      |
      +--org.apache.xerces.utils.regex.REUtil

public final class REUtil
extends java.lang.Object

Method Summary
`static RegularExpression` | `createRegex(java.lang.String pattern, java.lang.String options)` Creates a RegularExpression instance.
`static void` | `main(java.lang.String[] argv)` Sample entry.
`static boolean` | `matches(java.lang.String regex, java.lang.String target)`
`static boolean` | `matches(java.lang.String regex, java.lang.String options, java.lang.String target)`
`static java.lang.String` | `quoteMeta(java.lang.String literal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Sample entry.
  Usage: `org.apache.xerces.utils.regex.REUtil <regex> <string>`

### createRegex

    public static RegularExpression createRegex(java.lang.String pattern,
                                                java.lang.String options)
                                         throws ParseException

  Creates a RegularExpression instance. This method caches created instances.
  See Also:
    `RegularExpression.RegularExpression(java.lang.String, java.lang.String)`

### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String target)
                           throws ParseException

  See Also:
    `RegularExpression.matches(java.lang.String)`

### matches

    public static boolean matches(java.lang.String regex,
                                  java.lang.String options,
                                  java.lang.String target)
                           throws ParseException

  See Also:
    `RegularExpression.matches(java.lang.String)`

### quoteMeta

    public static java.lang.String quoteMeta(java.lang.String literal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.